org.eclipse.wst.jsdt.core.infer

## Class ResolutionConfiguration

- java.lang.Object
- - org.eclipse.wst.jsdt.core.infer.ResolutionConfiguration

    public class ResolutionConfiguration
    extends java.lang.Object

This class provides configuration information for when the inferred class gets resolved Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Constructor Summary

Constructors
Constructor and Description
`ResolutionConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String[]` `getContextIncludes()` Get the default list of files to be looked at when resolving a name
`boolean` `searchAllFiles()` Determine if all files in include path should be searched to resolve a name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResolutionConfiguration

    public ResolutionConfiguration()

### Method Detail

#### getContextIncludes

    public java.lang.String[] getContextIncludes()

Get the default list of files to be looked at when resolving a name

Returns:
  a list of file paths as strings, relative to the JavaScript project root

#### searchAllFiles

    public boolean searchAllFiles()

Determine if all files in include path should be searched to resolve a name. If false, names will be resolved using only libraries, imports, and context includes

Returns:
  true